# AppStream prevents MariaDB/PostgreSQL packages from being pulled in correctly
- name: Install boost-program-options
  yum: name="boost-program-options" state=installed
- name: Template RedHat variables
  set_fact:
      rhrepoas: >-
        {{ (item == repo_base + "/redhat-rhui.repo") | ternary("rhel-" + ansible_distribution_major_version + "-appstream-rhui-rpms", "rhel-" + ansible_distribution_major_version + "-for-x86_64-appstream-rpms") }}
      rhrepocfg: >-
        {{ item | basename | regex_replace('\.repo$', '')}}
      rhrepocr: >-
        {{ (item == repo_base + "/redhat-rhui.repo") | ternary("codeready-builder-for-rhel-" + ansible_distribution_major_version + "-rhui-rpms", "codeready-builder-for-rhel-" + ansible_distribution_major_version + "-x86_64-rpms") }}
  loop: '{{ q("first_found", search, errors="ignore") }}'
  vars:
    search:
      - "{{ repo_base }}/redhat-rhui.repo"
      - "{{ repo_base }}/redhat.repo"
  when: ansible_distribution == 'RedHat'
- name: Verify rhrepocfg discovery succeeds on RedHat
  assert:
    that: rhrepocfg is defined
    fail_msg: "redhat-rhui.repo not found or corrupted"
  when: ansible_distribution == 'RedHat'
- name: Modify AppStream settings
  ini_file:
    path: "{{ appstream_database_repo }}"
    section: "{{ appstream_database_section }}"
    option: "{{ item.key }}"
    value: "{{ item.value }}"
  with_dict:
    excludepkgs: "mariadb* postgresql*"
    priority: "99"

- name: Disable supplemental AppStreams
  include_tasks: disable-appstream.yml
  with_items:
    - httpd
    - php
    - mariadb
    - mysql
    - postgresql
  ignore_errors: true

- name: Enable requisite repos
  ini_file:
    path: "{{ repo_base }}/{{ reqvar.cfg | default(reqvar.repo) }}.repo"
    section: "{{ reqvar.repo | default(reqvar.repo) }}"
    option: enabled
    value: "1"
  when: reqvar.when | default(true)
  with_items: "{{ dnf_repos }}"
  loop_control:
    loop_var: reqvar
